#include <linux/dprobes.h>

/*
 * ppdf data structures.
 *
 * ppdf file format:
 	ppdf_hdr
	num_groups of ppdf_defs
	num_types of ppdf_defs
	num_points of ppdf_points
 *
 */

struct ppdf_def_struct {
	char name[16];
};

struct ppdf_hdr_struct {
	unsigned long sig;
	unsigned short num_groups;
	unsigned short num_types;
	unsigned long group_offset;
	unsigned long type_offset;
	struct dp_pgm_struct pgm;
};

#define PPDF_SIG	0x46445050
#define PPDF_EXTN	".ppdf"

